Subject: Re: [RFC XFRM]: esp: fix scatterlist of out bounds access with crypto_eseqiv

From: Patrick McHardy <[email-masked]>
Date: Tue, 29 Apr 2008 16:11:04 +0200

Patrick McHardy wrote:
> Herbert Xu wrote:
>> On Tue, Apr 29, 2008 at 07:09:39AM +0200, Patrick McHardy wrote:
>>  
>>> I've attached two traces, the one from eseqiv and a similar
>>> one from authenc (I've manually overriden eseqiv by chainiv
>>> to test whether its responsible for the broken packets I was
>>> seeing, which turned out to be the case. I'll look into that).
>>>     
>>
>> Thanks, looks like I left out the sg_is_last check in restoring
>> adding scatterwalk_sg_next.  Worse yet, eseqiv doesn't even
>> encrypt the last block.  It's a good thing the hifn driver doesn't
>> work yet :)
>
> Thanks for looking into this, the eseqiv problem is exactly the one
> I'm seeing :) I'll test your patch and let you know the results.

Works perfectly, thanks again :) This fixes my (hopefully)
second to last problem with HIFN :)